﻿using System.Web.UI.WebControls;
using WebApplication1.Presenters.Client;

namespace WebApplication1.Client
{
    public partial class Details : UserControlView<DetailsPresenter>
    {
        protected void OnFirstNameChanged(object sender, System.EventArgs e)
        {
            Presenter.Model.FirstName = ((TextBox) sender).Text;
        }

        protected void OnLastNameChanged(object sender, System.EventArgs e)
        {
            Presenter.Model.LastName = ((TextBox)sender).Text;
        }

        protected void OnSave(object sender, System.EventArgs e)
        {
            Presenter.Save();
        }
    }
}