﻿using System.Web.UI;

namespace WebApplication1
{
    public abstract class PageView<T>: Page where T : class
    {
        private T _presenter;

        public T Presenter
        {
            get { return _presenter ?? (_presenter = CreatePresenter()); }
        }

        protected abstract T CreatePresenter();
    }
}